
Redmine - Feature #799

Issue List: Shortcut/Context Menu

2008-03-06 17:45 - Jonathan Whetsell

Status: Closed Start date: 2008-03-06

Priority: Normal Due date:  

Assignee:  % Done: 50%

Category: Issues Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed   

Description

First off, this feature rocks.

Would it be possible to change the way page flow works after modifying an issue using the context menu?

For instance, I have a list of issues displayed (from default query or custom query). I want to modify a single issue status. Currently,

when you select the new status, you are redirected to the issue edit page, then you have to click save, then you have click your

query again to see the issues list. Instead of going through all of those steps, would it be possible to just refresh the current issue list

display with the modified status?

This would make it super easy and less click to modify a simple status

Related issues:

Related to Redmine - Patch #1197: Remove edit step from Status context menu Closed 2008-05-07

History

#1 - 2008-04-14 23:56 - Ryan Fowler

- File status_change_patch.txt added

- % Done changed from 0 to 50

I've attached a patch for this feature request.

#2 - 2008-04-20 10:18 - Jean-Philippe Lang

Most of the time, I need to add a comment and update a few things when changing the status of an issue.

That's why it's not done with just one click.

Ryan, I didn't test your patch but it doesn't seem to do what was originaly requested. It simply redirects the user to issue list after having clicked on

Save on the intermediate screen. But it doesn't skip this intermediate screen.

#3 - 2008-04-20 17:19 - Ryan Fowler

I can check when I'm back in the office on Monday, but I'm pretty sure that the patch does skip the intermediate edit screen.  Setting the {:method =>

:post} option seemed to do that.

I can understand your argument against changing this, but it does seem more consistent with the rest of the app (priority, assigned to, and % done) if

you did skip the edit page.  If I want to do more than one thing at once, I'll click edit instead of one of the "quickies."

Thanks,

Ryan

#4 - 2008-04-21 16:34 - Ryan Fowler

I confirmed that the patch does skip the intermediate screen.

#5 - 2008-04-21 17:26 - Ryan Fowler

- File back_to_issue_list_after_status_update.patch added

But, I do like that idea of going back to the issues list after setting the status on the edit page.  I believe this patch

(back_to_issue_list_after_status_update.patch) does what you thought the first one did.  We're going to run with this one for now on our system.

#6 - 2008-05-25 17:11 - Jean-Philippe Lang
- Category set to Issues

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Same as #1197 applied in r1458.

#7 - 2008-06-01 15:14 - Jonathan Whetsell

Thank you for the patch.

Files

status_change_patch.txt 822 Bytes 2008-04-14 Ryan Fowler

back_to_issue_list_after_status_update.patch 1.33 KB 2008-04-21 Ryan Fowler
